<div class="container">
  <div class="row">
    <div class="col-xs-12">
      <ol>
        <li>Add A button which says 'Display Details'</li>
        <li>Add a paragraph with any content of your choice (e.g. 'Secret Password = tuna')</li>
        <li>Toggle the displaying of that paragraph with the button created in the first step</li>
        <li>Log all button clicks in an array and output that array below the secret paragraph (maybe log a timestamp or simply an incrementing number)</li>
        <li>Starting at the 5th log item, give all future log items a blue background (via ngStyle) and white color (ngClass)</li>
      </ol>
    </div>
  </div>
</div>
<div class="container">
  <button (click)="buttonClick()">Display Details</button>
  <br>
  <p *ngIf="secretDisplayed">Secret Password = tuna</p>
  <br>
  <div class="row">
    <p *ngFor="let buttonClick of buttonClicks; let i = index" 
    [ngStyle]="{'background-color':i >=4 ? 'blue' : 'white'}" [ngClass]="{'white-text': i >=4}">{{buttonClick}}</p>
  </div>
</div>